Problemas com touchpad no Elementary OS Loki [RESOLVIDO]

1. Problemas com touchpad no Elementary OS Loki [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 23/08/2017 - 17:12h

Olá, sou novo usuário do Elementary (cerca de 4 meses) e tenho utilizado ele em dual no meu desktop e no meu antigo notebook (um CCE win que tinha desde 2013). Porém faz duas semanas que comprei um notebook Ideapad 320 da Lenovo e decidido a usar somente o elementary, removi o Windows 10. Aí que começou a minha dor de cabeça. O touchpad do notebook não funciona de jeito maneira em nenhuma distro linux, reinstalei algumas vezes e testei o Ubunto e o deepin, que é outra distro que me agrada, e persiste o mesmo problema. Assim que coloco a mídia do Windows para instalar o bendito touchpad volta a funcionar. Tentei fazer uma solução recomendada em 2013 para um problema semelhante na versão Luna, mãs não funcionou. Eu sei que rolou um papo que a Lenovo estava dificultando a vida dos usuários que queriam utilizar linux em seus produtos e na primeira instalação que fiz deu bloqueio, pois estava no secure boot, mas sem isso e com um mouse na usb eu consegui instalar de boa as distro linux, mas o problema é o bendito touchpad. Alguém saberia me recomendar uma solução para o meu problema?

Grato! :)


  


2. Re: Problemas com touchpad no Elementary OS Loki [RESOLVIDO]

Daniel Aedi
Daniel Aedi

(usa Linux Mint)

Enviado em 23/08/2017 - 17:19h

O bendito touchpad é feito para Windows. Talvez por isso não funcione da forma adequada no notebook.
Já pensou em trocar de distro apenas como teste pra ver se não é algo do Elementary, mas algo de certa forma "geral" em todas?


3. Re: Problemas com touchpad no Elementary OS Loki [RESOLVIDO]

Luís Fernando C. Cavalheiro
lcavalheiro

(usa Slackware)

Enviado em 23/08/2017 - 18:44h

É bem possível que seja um problema do Elementary, que ainda deve estar usando o xf86-input-synaptic para gerenciar o touchpad (e se eu me lembro bem nesse seu notebook só vai reconhecer configurando na unha). Tente outra distro, sugiro o openSUSE, para ver se o problema persiste.
--
Dino®
Vi veri universum vivus vici
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta
Mensagem do dia: Satã representa conhecimento sem limites e não auto-ilusão hipócrita. 



4. Re: Problemas com touchpad no Elementary OS Loki [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 24/08/2017 - 13:11h

Daniel Aedi escreveu:

O bendito touchpad é feito para Windows. Talvez por isso não funcione da forma adequada no notebook.
Já pensou em trocar de distro apenas como teste pra ver se não é algo do Elementary, mas algo de certa forma "geral" em todas?


Sim Daniel, usei o Deepin e o Ubuntu e o problema persistiu... :/



5. Re: Problemas com touchpad no Elementary OS Loki

Perfil removido
removido

(usa Nenhuma)

Enviado em 24/08/2017 - 13:17h

lcavalheiro escreveu:

É bem possível que seja um problema do Elementary, que ainda deve estar usando o xf86-input-synaptic para gerenciar o touchpad (e se eu me lembro bem nesse seu notebook só vai reconhecer configurando na unha). Tente outra distro, sugiro o openSUSE, para ver se o problema persiste.
--
Dino®
Vi veri universum vivus vici
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta
Mensagem do dia: Satã representa conhecimento sem limites e não auto-ilusão hipócrita. 


Opa, testarei o openSUSE. Sobre a configuração "a unha", como se daria? Eu também acho que o problema seja do synaptic, pois parece que o touchpad do Lenovo que catei ainda não tem uma configuração para o ubuntu e derivados. :/

Atualização: o openSUSE apresentou o mesmo problema, é como se "não houvesse" o touchpad do notebook.


6. Re: Problemas com touchpad no Elementary OS Loki

Roberto Ravanini
ravanini

(usa elementary OS)

Enviado em 04/09/2017 - 23:15h

Oi, também tive este problema no início do mês de agosto/2017.
Cheguei reinstalar o elementary do zero, mas o problema continuou.
Após uma atualização simples do sistema, o touch voltou a funcionar, misteriosamente.

Utilizei o:

sudo apt-get update
sudo apt-get dist-upgrade

Tenta aí, vai que dá certo.